当前位置:首页 > 服务端 > Unsupported major.minor version 52.0报错问题解决方案

Unsupported major.minor version 52.0报错问题解决方案

感谢原文:https://blog.csdn.net/wangmaohong0717/article/details/82869359

1、问题描述

工程启动的时候,报错如下:

nested exception is java.lang.UnsupportedClassVersionError: tech/tablesaw/api/Table : Unsupported major.minor version 52.0 (unable to load class tech.tablesaw.api.Table)

2.问题分析

首先,理解java.lang.UnsupportedClassVersionError异常,该异常位于java.lang包下,说明是Java编程的基础类异常,UnsupportedClassVersionError顾名思议,Class类版本不支持错误,既然是版本问题,不外乎就是项目编译Class的JDK版本环境与运行的虚拟机JDK版本环境不一致导致(了解虚拟机原理更容易理解这点),现在问题集中于编译环境与运行环境两个版本谁高谁低。没事,我们再往下分析,根据错误信息还透露出Unsupported major.minor version 52.0,其中version 52.0正是对应了JDK1.8的版本。当然,也可以用java -version命令查看安装JDK版本。说明我们编译环境的JDK是1.8版本,再查到我们的工程环境下,发现工程下的JDK版本为JDK1.7(也许是1.6或1.5等,这里以1.7为例)。
类文件对应的版本如下列表:
Unsupported major.minor version 52.0报错问题解决方案 _ JavaClub全栈架构师技术笔记

3.解决方案

对于IDEA

1、Ctrl+Alt+S Java Compiler 修改Target bytecode version为1.8

2、Ctrl+Shift+Alt+S project修改project SDK1.8;修改Module SDK为1.8 ;SDKs选择1.8的

作者:超级小白龙
来源链接:https://www.cnblogs.com/tfxz/p/12621723.html

版权声明:
1、Java侠(https://www.javaxia.com)以学习交流为目的,由作者投稿、网友推荐和小编整理收藏优秀的IT技术及相关内容,包括但不限于文字、图片、音频、视频、软件、程序等,其均来自互联网,本站不享有版权,版权归原作者所有。

2、本站提供的内容仅用于个人学习、研究或欣赏,以及其他非商业性或非盈利性用途,但同时应遵守著作权法及其他相关法律的规定,不得侵犯相关权利人及本网站的合法权利。
3、本网站内容原作者如不愿意在本网站刊登内容,请及时通知本站(javaclubcn@163.com),我们将第一时间核实后及时予以删除。





本文链接:https://www.javaxia.com/server/125732.html

标签: android studio
分享给朋友:

“Unsupported major.minor version 52.0报错问题解决方案” 的相关文章